Bug 1401529 - thousands of i2c-bcm2835 3f805000.i2c: i2c transfer failed: 100 [NEEDINFO]
Summary: thousands of i2c-bcm2835 3f805000.i2c: i2c transfer failed: 100
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: armv7hl
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-12-05 14:07 UTC by Ilkka Tengvall
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 20:05:20 UTC
labbott: needinfo? (ikke)


Attachments (Terms of Use)

Description Ilkka Tengvall 2016-12-05 14:07:02 UTC
Description of problem:

I just installed and updated F25 on RasPi3. Without any tweaking, the default setup starts logging a lot of i2c errors. Likely some default config should be different.


Version-Release number of selected component (if applicable):

$ uname -r
4.8.10-300.fc25.armv7hl

$ rpm -q kernel
kernel-4.8.10-300.fc25.armv7hl


How reproducible:

It repeats thousands of times by itself. There is no external devices connected. Only power, ethernet, microsd and usb memory stick. 


Steps to Reproduce:
1. power on the RasPi, and observe the logs.

Actual results:

Thousands of logs:

kernel: i2c-bcm2835 3f805000.i2c: i2c transfer failed: 100


Expected results:

no such logs.

Additional info:

Comment 1 Laura Abbott 2017-01-17 01:13:27 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Peter Robinson 2017-02-16 11:05:22 UTC
This will be fixed with the rebase to 4.10.x

Comment 3 Dave Kline 2017-07-13 14:14:37 UTC
Unfortunately this problem is still present on a fully updated Fedora 26 and RPI3: 

$ uptime 
 09:13:31 up 1 day, 49 min,  4 users,  load average: 0.01, 0.07, 0.03
$ dmesg | grep "i2c-bcm2835 3f805000.i2c: i2c transfer timed out" |wc -l
202
$ uname -a
Linux r3 4.11.9-300.fc26.armv7hl #1 SMP Wed Jul 5 17:43:01 UTC 2017 armv7l armv7l armv7l GNU/Linux
$

Comment 4 Fedora End Of Life 2017-11-16 19:13:35 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Laura Abbott 2018-02-20 19:55:39 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 6 Dave Kline 2018-02-21 14:55:29 UTC
After rebooting into 4.15.3-300.fc27.armv7hl, I get the following errors:

$ dmesg |grep i2c
[    8.018800] i2c-bcm2835 3f805000.i2c: Could not read clock-frequency property
[12331.557209] i2c-bcm2835 3f205000.i2c: Got unexpected interrupt (from firmware?)
[26177.132100] i2c-bcm2835 3f805000.i2c: i2c transfer timed out
[34317.974414] i2c-bcm2835 3f205000.i2c: Got unexpected interrupt (from firmware?)
[52751.089693] i2c-bcm2835 3f805000.i2c: i2c transfer timed out
[53099.250334] i2c-bcm2835 3f205000.i2c: Got unexpected interrupt (from firmware?)
[53416.747053] i2c-bcm2835 3f205000.i2c: Got unexpected interrupt (from firmware?)
[53509.875490] i2c-bcm2835 3f805000.i2c: i2c transfer timed out
[57442.054678] i2c-bcm2835 3f205000.i2c: Got unexpected interrupt (from firmware?)
[60002.066689] i2c-bcm2835 3f205000.i2c: Got unexpected interrupt (from firmware?)

It does seem at this point that I get fewer of these messages using 4.15.3-300.fc27.armv7hl

Comment 7 Dave Kline 2018-02-26 16:00:21 UTC
Unfortunately the message floods are still present:

~]$ uname -a
Linux r3 4.15.4-300.fc27.armv7hl #1 SMP Tue Feb 20 00:44:54 UTC 2018 armv7l armv7l armv7l GNU/Linux
~]$ dmesg|grep i2c|wc -l
308

Comment 8 Ben Cotton 2018-11-27 16:52:42 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 20:05:20 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.